Class Iti44Producer
java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultProducer
org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration,String,String>
org.openehealth.ipf.platform.camel.ihe.hl7v3.iti44.Iti44Producer
- All Implemented Interfaces:
AutoCloseable,EndpointAware,IsSingleton,Processor,Producer,Service,ShutdownableService,StatefulService,SuspendableService
public class Iti44Producer
extends AbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration,String,String>
Producer implementation for the ITI-44 component (PIX Feed v3).
-
Field Summary
Fields inherited from class org.apache.camel.support.service.BaseService
BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING -
Constructor Summary
ConstructorsConstructorDescriptionIti44Producer(AbstractWsEndpoint<Hl7v3AuditDataset, Hl7v3WsTransactionConfiguration> endpoint, JaxWsClientFactory<Hl7v3AuditDataset> clientFactory) Constructs the producer. -
Method Summary
Modifier and TypeMethodDescriptionprotected StringcallService(Object clientObject, String request) Sends the given request body to a Web Service via the given client proxy.Methods inherited from class org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer
cleanRequestContext, configureClient, enrichRequestContext, enrichResponseMessage, getAlternativeRequestKeys, getEndpoint, getRequestClass, getResponseClass, getWsTransactionConfiguration, processMethods inherited from class org.apache.camel.support.DefaultProducer
createExchange, doStart, doStop, isSingleton, toStringMethods inherited from class org.apache.camel.support.service.BaseService
build, doBuild, doFail, doInit, doLifecycleChange, doResume, doShutdown, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspendMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface org.apache.camel.ShutdownableService
shutdownMethods inherited from interface org.apache.camel.StatefulService
getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspendingMethods inherited from interface org.apache.camel.SuspendableService
isSuspended, resume, suspend
-
Constructor Details
-
Iti44Producer
public Iti44Producer(AbstractWsEndpoint<Hl7v3AuditDataset, Hl7v3WsTransactionConfiguration> endpoint, JaxWsClientFactory<Hl7v3AuditDataset> clientFactory) Constructs the producer.- Parameters:
endpoint- the endpoint creating this producer.clientFactory- the factory for clients to produce messages for the service.
-
-
Method Details
-
callService
Description copied from class:AbstractWsProducerSends the given request body to a Web Service via the given client proxy.- Specified by:
callServicein classAbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration, String, String>
-